Subject: Re: bug#13636: 24.3.50; tramp+ftp broken

From: Michael Albinus <[email-masked]>
Date: Wed, 06 Feb 2013 15:26:13 +0100

Thierry Volpiatto <[email-masked]> writes:

> Hi,

Hi Thierry,

> I start with emacs -Q
>
> Here some basic setting:
>
> --8<---------------cut here---------------start------------->8---
> (setq ange-ftp-try-passive-mode t)
> (setq ange-ftp-passive-host-alist '(("mafreebox.freebox.fr" . "on")))
> --8<---------------cut here---------------end--------------->8---

I have done exactly the same, starting emacs -Q and evalling the two
lines. 

> C-x C-f /ftp:mafreebox.freebox.fr:/ RET
>
> On emacs-24.3.50.1:(cursor at "!")
>
> C-x C-f /ftp:mafreebox.freebox.fr"!"
>
> As soon as I enter the last ":", I have this error:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)

This does not happen to me. Do you apply other settings but the two
lines?

Which bzr revision do you use? I have tested with revno #111682

Note that I have reverted a patch recently, which might be responsible
for the problem. You could check in the ChangeLog, whether there is

2013-01-31  Michael Albinus  <[email-masked]>

        * net/tramp.el (tramp-tramp-file-p): Comment check for
        `string-as-unibyte'.  The function does not exist on XEmacs, and
        likely we need another approach.

Best regards, Michael.